package com.loganmagnan.bedwars.events;

import com.loganmagnan.bedwars.game.GameTeam;
import lombok.Getter;
import com.loganmagnan.bedwars.game.Game;

@Getter
public class GameEndEvent extends GameEvent {

    private final GameTeam winningTeam;
    private final GameTeam losingTeam;

    public GameEndEvent(Game game, GameTeam winningTeam, GameTeam losingTeam) {
        super(game);

        this.winningTeam = winningTeam;
        this.losingTeam = losingTeam;
    }
}
