package com.loganmagnan.bedwars.commands.toggle;

import com.loganmagnan.bedwars.BedWars;
import com.loganmagnan.bedwars.commands.BaseCommand;
import com.loganmagnan.bedwars.playerdata.PlayerSettings;
import com.loganmagnan.bedwars.utils.CC;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.ArrayList;
import java.util.List;

public class PartyChatCommand extends BaseCommand {

    @Override
    public void executeAs(CommandSender sender, Command cmd, String label, String[] args) {
        Player player = (Player) sender;

        PlayerSettings settings = BedWars.getInstance().getPlayerDataManager().getPlayerData(player.getUniqueId()).getPlayerSettings();
        settings.setPartyChatEnabled(!settings.isPartyChatEnabled());

        player.sendMessage(CC.translate(settings.isPartyChatEnabled() ? "&aParty Chat toggled to true!" : "&cParty Chat toggled to false!"));
    }

    @Override
    public List<String> getTabCompletions(CommandSender sender, Command cmd, String label, String[] args) {
        List<String> tabCompletions = new ArrayList<String>();

        return tabCompletions;
    }
}
